BasicLogFormatter (Jericho HTML Parser 3.1)
Keywords: net.htmlparser.jericho.BasicLogFormatter class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.htmlparser.jericho
Class BasicLogFormatter

    java.lang.Object
      java.util.logging.Formatter
          BasicLogFormatter

    public class BasicLogFormatter

extends java.util.logging.Formatter

Provides basic formatting for log messages.

This class extends the `java.util.logging.Formatter` class, allowing it to be specified as a formatter for the `java.util.logging` system.

The static `format(String level, String message, String loggerName)` method provides a means of using the same formatting outside of the `java.util.logging` framework. See the documentation of this method for more details.

Field Summary
`static boolean` | `OutputLevel` Determines whether the logging level is included in the output.
`static boolean` | `OutputName` Determines whether the logger name is included in the output.

Constructor Summary
`BasicLogFormatter()`

Method Summary
`java.lang.String` | `format(java.util.logging.LogRecord logRecord)` Returns a formatted string representing the log entry information contained in the specified `java.util.logging.LogRecord`.
`static java.lang.String` | `format(java.lang.String level, java.lang.String message, java.lang.String loggerName)` Returns a formatted string representing the specified log entry information.

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OutputLevel

    public static boolean OutputLevel

  Determines whether the logging level is included in the output.

  The default value is `true`.

  As this is a static property, changing the value will affect all `BasicLogFormatter` instances, as well as the behaviour of the static `format(String level, String message, String loggerName)` method.

### OutputName

    public static boolean OutputName

  Determines whether the logger name is included in the output.

  The default value is `false`.

  The logger name used for all automatically created `Logger` instances is "`net.htmlparser.jericho`".

  As this is a static property, changing the value will affect all `BasicLogFormatter` instances, as well as the behaviour of the static `format(String level, String message, String loggerName)` method.

Constructor Detail

### BasicLogFormatter

    public BasicLogFormatter()

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord logRecord)

  Returns a formatted string representing the log entry information contained in the specified `java.util.logging.LogRecord`.

  This method is not called directly, but is used by the `java.util.logging` framework when this class is specified as a formatter in the `logging.properties` file.

  See the documentation of the parent `java.util.logging.Formatter` class in the Java SDK for more details.

  Specified by:
    `format` in class `java.util.logging.Formatter`
  Parameters:
    `logRecord` - a `java.util.logging.LogRecord` object containing all of the log entry information.
  Returns:
    a formatted string representing the log entry information contained in the specified `java.util.logging.LogRecord`.

### format

    public static java.lang.String format(java.lang.String level,
                                          java.lang.String message,
                                          java.lang.String loggerName)

  Returns a formatted string representing the specified log entry information.

  This method is used by the default implementation of the `WriterLogger.log(String level, String message)` method.

  The static properties `OutputLevel` and `OutputName` affect what information is included in the output.

  The static `Config.NewLine` property determines the character sequence used for line breaks.

  A line of output typically looks like this:

  > `INFO: this is the log message`

  or if the `OutputName` property is set to `true`, the output would look similar to this:

  > `INFO: [net.htmlparser.jericho] this is the log message`

  Parameters:
    `level` - a string representing the logging level of the log entry.
    `message` - the log message.
    `loggerName` - the name of the logger.
  Returns:
    a formatted string representing the specified log entry information.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD